@echo off
rem ------------------------------------------------------------------
rem ワークスペース設定
set WORK_HOME=C:\mailagent


cd %WORK_HOME%/cmd

rem ------------------------------------------------------------------
rem ------------------------------------------------------------------

rem Javaホームディレクトリ
set JAVA_HOME=C:\jdk1.5.0_121

rem Java実行ファイル設定
set PATH=%JAVA_HOME%\bin;%PATH%

rem CLASSPATH設定
set CLASSPATH=.
set CLASSPATH=%CLASSPATH%;%WORK_HOME%

rem JARファイル
set COMMON_LIB_PATH=%WORK_HOME%/lib/common
set APPLI_LIB_PATH=%WORK_HOME%/lib/application

set CLASSPATH=%CLASSPATH%;%COMMON_LIB_PATH%/log4j-1.2.13.jar
set CLASSPATH=%CLASSPATH%;%COMMON_LIB_PATH%/commons-collections-3.2.jar
set CLASSPATH=%CLASSPATH%;%COMMON_LIB_PATH%/commons-io-1.2.jar
set CLASSPATH=%CLASSPATH%;%COMMON_LIB_PATH%/commons-lang-2.3.jar
set CLASSPATH=%CLASSPATH%;%COMMON_LIB_PATH%/velocity-1.5.jar
set CLASSPATH=%CLASSPATH%;%COMMON_LIB_PATH%/activation.jar
set CLASSPATH=%CLASSPATH%;%COMMON_LIB_PATH%/mail.jar


set CLASSPATH=%CLASSPATH%;%APPLI_LIB_PATH%/mailagent.jar
set CLASSPATH=%CLASSPATH%;%APPLI_LIB_PATH%/test.jar


rem ------------------------------------------------------------------
rem Java実行
rem ------------------------------------------------------------------
java jp.sourceforge.jmailagent.test.TestMain


